2026-04-09  Hosted Weblate <hosted@weblate.org>

	* po/ar.po, po/az.po, po/ba.po, po/bg.po, po/br.po, po/ca.po,
	po/cs.po, po/da.po, po/de.po, po/de_AT.po, po/el.po, po/en_GB.po,
	po/eo.po, po/es.po, po/fa.po, po/fi.po, po/fr.po, po/ga.po,
	po/gl.po, po/he.po, po/hr.po, po/hu.po, po/id.po, po/is.po,
	po/it.po, po/ja.po, po/ka.po, po/ko.po, po/ln.po, po/lt.po,
	po/lv.po, po/mk.po, po/mn.po, po/nb.po, po/ne.po, po/nl.po,
	po/nn.po, po/oc.po, po/pl.po, po/pt_BR.po, po/pt_PT.po, po/ro.po,
	po/ru.po, po/sk.po, po/sl.po, po/sq.po, po/sr.po, po/sr_Latn.po,
	po/sv.po, po/ta.po, po/tr.po, po/uk.po, po/vi.po, po/zh_CN.po,
	po/zh_HK.po, po/zh_TW.po: Update translation files Updated by "Update PO files to match POT (msgmerge)" hook in
	Weblate.  Translation: Gramps/Program Translate-URL:
	https://hosted.weblate.org/projects/gramps-project/gramps/

2026-04-09  Nick Hall <nick-h@gramps-project.org>

	* po/gramps.pot: Update translation template for new release

2026-04-08  Nick Hall <nick-h@gramps-project.org>

	* gramps/plugins/tool/check.py: Fix xgettext format string warning Format strings with unnamed arguments cannot be properly localized.

2026-04-09  Tian Shixiong <tiansworld@fedoraproject.org>

	* po/zh_CN.po: Translated using Weblate (Chinese (Simplified Han
	script)) Currently translated at 98.1% (7082 of 7218 strings) Translation: Gramps/Program Translate-URL:
	https://hosted.weblate.org/projects/gramps-project/gramps/zh_Hans/

2026-04-09  Nick Hall <nick-h@gramps-project.org>

	* po/ga.po: Translated using Weblate (Irish) Currently translated at 100.0% (7218 of 7218 strings) Translation: Gramps/Program Translate-URL:
	https://hosted.weblate.org/projects/gramps-project/gramps/ga/

2026-04-08  Nick Hall <nick-h@gramps-project.org>

	* po/ga.po: Translated using Weblate (Irish) Currently translated at 100.0% (7218 of 7218 strings) Translation: Gramps/Program Translate-URL:
	https://hosted.weblate.org/projects/gramps-project/gramps/ga/

2026-04-07  Tian Shixiong <tiansworld@fedoraproject.org>

	* po/zh_CN.po: Translated using Weblate (Chinese (Simplified Han
	script)) Currently translated at 98.1% (7081 of 7218 strings) Translation: Gramps/Program Translate-URL:
	https://hosted.weblate.org/projects/gramps-project/gramps/zh_Hans/

2026-04-07  Milo Ivir <mail@milotype.de>

	* po/hr.po: Translated using Weblate (Croatian) Currently translated at 100.0% (7218 of 7218 strings) Translation: Gramps/Program Translate-URL:
	https://hosted.weblate.org/projects/gramps-project/gramps/hr/

2026-04-07  Batsaihan P. <batsaihan.p@gmail.com>

	* po/mn.po: Translated using Weblate (Mongolian) Currently translated at 0.4% (36 of 7218 strings) Translation: Gramps/Program Translate-URL:
	https://hosted.weblate.org/projects/gramps-project/gramps/mn/

2026-03-27  Doug Blank <doug.blank@gmail.com>

	* gramps/gui/widgets/persistenttreeview.py: Fix AttributeError when
	PersistentTreeView is GtkBuilder-created When the widget is instantiated via GtkBuilder (e.g. from a .ui
	file), Python's __init__ is bypassed, so self.config_name is never
	set.  On destroy, save_column_info raises:   AttributeError: 'PersistentTreeView' object has no attribute
	  'config_name' Add a class-level default so the attribute always exists regardless
	of how the object is constructed.  Fixes #14159.  Co-Authored-By: Claude Sonnet 4.6 <noreply@anthropic.com>

2026-04-06  Nick Hall <nick-h@gramps-project.org>

	* po/zh_CN.po: Translated using Weblate (Chinese (Simplified Han
	script)) Currently translated at 98.1% (7084 of 7218 strings) Translation: Gramps/Program Translate-URL:
	https://hosted.weblate.org/projects/gramps-project/gramps/zh_Hans/

2026-04-06  Milo Ivir <mail@milotype.de>

	* po/hr.po: Translated using Weblate (Croatian) Currently translated at 100.0% (7218 of 7218 strings) Translation: Gramps/Program Translate-URL:
	https://hosted.weblate.org/projects/gramps-project/gramps/hr/

2026-04-06  Tian Shixiong <tiansworld@fedoraproject.org>

	* po/zh_CN.po: Translated using Weblate (Chinese (Simplified Han
	script)) Currently translated at 98.1% (7084 of 7218 strings) Translation: Gramps/Program Translate-URL:
	https://hosted.weblate.org/projects/gramps-project/gramps/zh_Hans/ Translated using Weblate (Chinese (Simplified Han script)) Currently translated at 98.1% (7084 of 7218 strings) Translation: Gramps/Program Translate-URL:
	https://hosted.weblate.org/projects/gramps-project/gramps/zh_Hans/

2026-04-06  Zizhuo JIa <jzz0313@outlook.com>

	* po/zh_CN.po: Translated using Weblate (Chinese (Simplified Han
	script)) Currently translated at 98.1% (7084 of 7218 strings) Translation: Gramps/Program Translate-URL:
	https://hosted.weblate.org/projects/gramps-project/gramps/zh_Hans/

2026-04-06  Andi Chandler <andi@gowling.com>

	* po/en_GB.po: Translated using Weblate (English (United Kingdom)) Currently translated at 100.0% (7218 of 7218 strings) Translation: Gramps/Program Translate-URL:
	https://hosted.weblate.org/projects/gramps-project/gramps/en_GB/

2026-04-06  Jozef Gaal <preklady@mayday.sk>

	* po/sk.po: Translated using Weblate (Slovak) Currently translated at 100.0% (7218 of 7218 strings) Translation: Gramps/Program Translate-URL:
	https://hosted.weblate.org/projects/gramps-project/gramps/sk/

2026-04-06  Tian Shixiong <tiansworld@fedoraproject.org>

	* po/zh_CN.po: Translated using Weblate (Chinese (Simplified Han
	script)) Currently translated at 98.0% (7080 of 7218 strings) Translation: Gramps/Program Translate-URL:
	https://hosted.weblate.org/projects/gramps-project/gramps/zh_Hans/ Translated using Weblate (Chinese (Simplified Han script)) Currently translated at 97.9% (7072 of 7218 strings) Translation: Gramps/Program Translate-URL:
	https://hosted.weblate.org/projects/gramps-project/gramps/zh_Hans/ Translated using Weblate (Chinese (Simplified Han script)) Currently translated at 98.0% (7076 of 7218 strings) Translation: Gramps/Program Translate-URL:
	https://hosted.weblate.org/projects/gramps-project/gramps/zh_Hans/

2026-04-01  David Straub <straub@protonmail.com>

	* data/grampsxml.dtd, data/grampsxml.rng: Update DTD and RNG

2026-03-19  Petr Fedorov <petr.e.fedorov@yandex.ru>

	* gramps/gui/configure.py: Fix Notpatronymic and Rawsurnames format
	code entry bug Fixes #14146.

2026-03-25  Eric Lenerville <eel331@gmail.com>

	* gramps/plugins/gramplet/notes.py: Avoid duplicate calls to
	update() in Person view

2026-03-25  Eric Lenerville <eel331@gmail.com>

	* gramps/plugins/gramplet/notes.py: Remove redundant methods on
	PersonNotes class

2026-03-24  Eric Lenerville <eel331@gmail.com>

	* gramps/plugins/gramplet/notes.py: Fix signals in notes gramplet Fixes #14148, #13866.

2026-03-27  Doug Blank <doug.blank@gmail.com>

	* gramps/plugins/thumbnailer/imagethumb.py: Fix ImageThumb savev()
	passing strings instead of lists PyGObject requires lists for GLib array parameters. Passing empty
	strings caused "Unable to marshal str as an array" warnings on every
	thumbnail generation. Pass [] instead of "" for option_keys and
	option_values.  Co-Authored-By: Claude Sonnet 4.6 <noreply@anthropic.com>

2026-03-31  Nick Hall <nick-h@gramps-project.org>

	* gramps/gen/datehandler/_date_sr.py: Fix date modifiers for sr

2026-03-31  Tian Shixiong <tiansworld@fedoraproject.org>

	* po/zh_CN.po: Translated using Weblate (Chinese (Simplified Han
	script)) Currently translated at 97.7% (7056 of 7218 strings) Translation: Gramps/Program Translate-URL:
	https://hosted.weblate.org/projects/gramps-project/gramps/zh_Hans/

2026-03-31  Слободан Симић(Slobodan Simić) <slsimic@gmail.com>

	* po/sr.po: Translated using Weblate (Serbian) Currently translated at 78.6% (5680 of 7218 strings) Translation: Gramps/Program Translate-URL:
	https://hosted.weblate.org/projects/gramps-project/gramps/sr/

2026-03-31  Christoph Eder <christoph.eder@phsalzburg.at>

	* po/de_AT.po: Translated using Weblate (German (Austria)) Currently translated at 100.0% (7218 of 7218 strings) Translation: Gramps/Program Translate-URL:
	https://hosted.weblate.org/projects/gramps-project/gramps/de_AT/

2026-03-31  David Straub <straub@protonmail.com>

	* gramps/gen/lib/person.py: Fix incorrect person gender schema max

2026-03-29  Bruno FORESTIER <bforest76@gmail.com>

	* po/fr.po: Translated using Weblate (French) Currently translated at 99.7% (7202 of 7218 strings) Translation: Gramps/Program Translate-URL:
	https://hosted.weblate.org/projects/gramps-project/gramps/fr/

2026-03-29  he tav haf <l2ryun8if@mozmail.com>

	* po/fa.po: Translated using Weblate (Persian) Currently translated at 1.1% (85 of 7218 strings) Translation: Gramps/Program Translate-URL:
	https://hosted.weblate.org/projects/gramps-project/gramps/fa/ Translated using Weblate (Persian) Currently translated at 1.1% (84 of 7218 strings) Translation: Gramps/Program Translate-URL:
	https://hosted.weblate.org/projects/gramps-project/gramps/fa/

2026-03-29  Milo Ivir <mail@milotype.de>

	* po/hr.po: Translated using Weblate (Croatian) Currently translated at 100.0% (7218 of 7218 strings) Translation: Gramps/Program Translate-URL:
	https://hosted.weblate.org/projects/gramps-project/gramps/hr/ Translated using Weblate (Croatian) Currently translated at 100.0% (7218 of 7218 strings) Translation: Gramps/Program Translate-URL:
	https://hosted.weblate.org/projects/gramps-project/gramps/hr/ Translated using Weblate (Croatian) Currently translated at 100.0% (7218 of 7218 strings) Translation: Gramps/Program Translate-URL:
	https://hosted.weblate.org/projects/gramps-project/gramps/hr/

2026-03-29  Batsaihan P. <batsaihan.p@gmail.com>

	* po/mn.po: Translated using Weblate (Mongolian) Currently translated at 0.4% (36 of 7218 strings) Translation: Gramps/Program Translate-URL:
	https://hosted.weblate.org/projects/gramps-project/gramps/mn/

2026-03-29  Patryk <patryk230206@gmail.com>

	* po/pl.po: Translated using Weblate (Polish) Currently translated at 99.8% (7204 of 7218 strings) Translation: Gramps/Program Translate-URL:
	https://hosted.weblate.org/projects/gramps-project/gramps/pl/

2026-03-29  Tian Shixiong <tiansworld@fedoraproject.org>

	* po/zh_CN.po: Translated using Weblate (Chinese (Simplified Han
	script)) Currently translated at 96.9% (6997 of 7218 strings) Translation: Gramps/Program Translate-URL:
	https://hosted.weblate.org/projects/gramps-project/gramps/zh_Hans/ Translated using Weblate (Chinese (Simplified Han script)) Currently translated at 96.9% (6997 of 7218 strings) Translation: Gramps/Program Translate-URL:
	https://hosted.weblate.org/projects/gramps-project/gramps/zh_Hans/ Translated using Weblate (Chinese (Simplified Han script)) Currently translated at 96.8% (6991 of 7218 strings) Translation: Gramps/Program Translate-URL:
	https://hosted.weblate.org/projects/gramps-project/gramps/zh_Hans/

2026-03-29  Petr Fedorov <petr.e.fedorov@yandex.ru>

	* po/ru.po: Translated using Weblate (Russian) Currently translated at 99.9% (7213 of 7218 strings) Translation: Gramps/Program Translate-URL:
	https://hosted.weblate.org/projects/gramps-project/gramps/ru/

2026-03-29  Christoph Eder <christoph.eder@phsalzburg.at>

	* po/de_AT.po: Translated using Weblate (German (Austria)) Currently translated at 99.9% (7215 of 7218 strings) Translation: Gramps/Program Translate-URL:
	https://hosted.weblate.org/projects/gramps-project/gramps/de_AT/

2026-03-29  Mirko Leonhaeuser <mirko@leonhaeuser.de>

	* po/de.po: Translated using Weblate (German) Currently translated at 100.0% (7218 of 7218 strings) Translation: Gramps/Program Translate-URL:
	https://hosted.weblate.org/projects/gramps-project/gramps/de/

2026-03-24  Nick Hall <nick-h@gramps-project.org>

	* aio/setup.py: Update copyright year

2026-03-23  Himanshu Gohel <1551217+hgohel@users.noreply.github.com>

	* aio/build.sh: More pins to enable spelling Spelling was broken as a feature; renabled by rolling back both
	gspell and enchant to their 6.0.6 versions

2026-03-23  Himanshu Gohel <1551217+hgohel@users.noreply.github.com>

	* aio/build.sh: Pin GExiv2 Availability of various MINGW64 packages is a moving target at this
	point.  Pin mingw-w64-x86_64-gexiv2 package to an archived version
	as new packages are no longer available. Also rolled back exiv2
	which seems to be the latest package MSYS2 has made unavailable for
	MINGW64.

2026-03-18  Himanshu Gohel <1551217+hgohel@users.noreply.github.com>

	* aio/setup.py: Remove cgi module It was deprecated in Python 3.11 and removed in Python 3.13.

2026-03-18  Himanshu Gohel <1551217+hgohel@users.noreply.github.com>

	* aio/setup.py, gramps/gen/plug/docgen/graphdoc.py: Rename
	Ghostscript binary In newer versions of GhostScript, the binary is named gswin64c.exe
	rather than gswin32c.exe Update code to match gswin binary name gswin64c is the new binary, so search for that (first).

2026-03-18  Himanshu Gohel <1551217+hgohel@users.noreply.github.com>

	* aio/setup.py: cx_Freeze 8.0+ change to base name In cx_Freeze 8.0+ with Python 3.13+, base name is simply 'gui' not
	'win32gui'

2026-03-18  Himanshu Gohel <1551217+hgohel@users.noreply.github.com>

	* aio/build.sh: Downgrade the graphviz package to stay in sync with
	pygraphviz Graphviz v14.x.x doesn't seem to be compatible with PyGraphviz
	3.1.4, so downgrade Graphviz at the level that was used with Gramps
	AIO 6.0.5.  Download and install graphviz 12.2.1-4

2026-03-17  Nick Hall <nick-h@gramps-project.org>

	* .github/workflows/windows-aio.yml: Update GitHub upload-artifact
	action version to v6

2026-03-20  Petr Fedorov <petr.e.fedorov@yandex.ru>

	* po/ru.po: Translated using Weblate (Russian) Currently translated at 99.9% (7213 of 7218 strings) Translation: Gramps/Program Translate-URL:
	https://hosted.weblate.org/projects/gramps-project/gramps/ru/

2026-03-20  Pär Ekholm <github1@m.pekholm.org>

	* po/sv.po: Translated using Weblate (Swedish) Currently translated at 100.0% (7218 of 7218 strings) Translation: Gramps/Program Translate-URL:
	https://hosted.weblate.org/projects/gramps-project/gramps/sv/

2026-03-20  Batsaihan P. <batsaihan.p@gmail.com>

	* po/mn.po: Translated using Weblate (Mongolian) Currently translated at 0.3% (25 of 7218 strings) Translation: Gramps/Program Translate-URL:
	https://hosted.weblate.org/projects/gramps-project/gramps/mn/

2026-03-20  Andi Chandler <andi@gowling.com>

	* po/en_GB.po: Translated using Weblate (English (United Kingdom)) Currently translated at 100.0% (7218 of 7218 strings) Translation: Gramps/Program Translate-URL:
	https://hosted.weblate.org/projects/gramps-project/gramps/en_GB/

2026-03-20  Aindriú Mac Giolla Eoin <aindriu80@gmail.com>

	* po/ga.po: Translated using Weblate (Irish) Currently translated at 100.0% (7218 of 7218 strings) Translation: Gramps/Program Translate-URL:
	https://hosted.weblate.org/projects/gramps-project/gramps/ga/

2026-03-20  Stephan Paternotte <stephan@paternottes.net>

	* po/nl.po: Translated using Weblate (Dutch) Currently translated at 100.0% (7218 of 7218 strings) Translation: Gramps/Program Translate-URL:
	https://hosted.weblate.org/projects/gramps-project/gramps/nl/

2026-03-20  Pedro Albuquerque <pmra@protonmail.com>

	* po/pt_PT.po: Translated using Weblate (Portuguese (Portugal)) Currently translated at 100.0% (7218 of 7218 strings) Translation: Gramps/Program Translate-URL:
	https://hosted.weblate.org/projects/gramps-project/gramps/pt_PT/

2026-03-20  Matti Niemelä <matti.u.niemela@gmail.com>

	* po/fi.po: Translated using Weblate (Finnish) Currently translated at 100.0% (7218 of 7218 strings) Translation: Gramps/Program Translate-URL:
	https://hosted.weblate.org/projects/gramps-project/gramps/fi/

2026-03-20  Jozef Gaal <preklady@mayday.sk>

	* po/sk.po: Translated using Weblate (Slovak) Currently translated at 100.0% (7218 of 7218 strings) Translation: Gramps/Program Translate-URL:
	https://hosted.weblate.org/projects/gramps-project/gramps/sk/

2026-03-20  Fabio Restante <frestante@gmail.com>

	* po/it.po: Translated using Weblate (Italian) Currently translated at 98.9% (7140 of 7218 strings) Translation: Gramps/Program Translate-URL:
	https://hosted.weblate.org/projects/gramps-project/gramps/it/

2026-03-20  Milan <mobrcian@hotmail.com>

	* po/cs.po: Translated using Weblate (Czech) Currently translated at 99.9% (7217 of 7218 strings) Translation: Gramps/Program Translate-URL:
	https://hosted.weblate.org/projects/gramps-project/gramps/cs/

2026-03-20  Yaron Shahrabani <sh.yaron@gmail.com>

	* po/he.po: Translated using Weblate (Hebrew) Currently translated at 99.9% (7214 of 7218 strings) Translation: Gramps/Program Translate-URL:
	https://hosted.weblate.org/projects/gramps-project/gramps/he/

2026-03-20  Tian Shixiong <tiansworld@fedoraproject.org>

	* po/zh_CN.po: Translated using Weblate (Chinese (Simplified Han
	script)) Currently translated at 96.8% (6991 of 7218 strings) Translation: Gramps/Program Translate-URL:
	https://hosted.weblate.org/projects/gramps-project/gramps/zh_Hans/ Translated using Weblate (Chinese (Simplified Han script)) Currently translated at 96.8% (6989 of 7218 strings) Translation: Gramps/Program Translate-URL:
	https://hosted.weblate.org/projects/gramps-project/gramps/zh_Hans/ Translated using Weblate (Chinese (Simplified Han script)) Currently translated at 96.7% (6984 of 7218 strings) Translation: Gramps/Program Translate-URL:
	https://hosted.weblate.org/projects/gramps-project/gramps/zh_Hans/ Translated using Weblate (Chinese (Simplified Han script)) Currently translated at 96.1% (6941 of 7218 strings) Translation: Gramps/Program Translate-URL:
	https://hosted.weblate.org/projects/gramps-project/gramps/zh_Hans/

2026-03-20  Hosted Weblate <hosted@weblate.org>

	* po/ar.po, po/az.po, po/ba.po, po/bg.po, po/br.po, po/ca.po,
	po/cs.po, po/da.po, po/de.po, po/de_AT.po, po/el.po, po/en_GB.po,
	po/eo.po, po/es.po, po/fa.po, po/fi.po, po/fr.po, po/ga.po,
	po/gl.po, po/he.po, po/hr.po, po/hu.po, po/id.po, po/is.po,
	po/it.po, po/ja.po, po/ka.po, po/ko.po, po/ln.po, po/lt.po,
	po/lv.po, po/mk.po, po/mn.po, po/nb.po, po/ne.po, po/nl.po,
	po/nn.po, po/oc.po, po/pl.po, po/pt_BR.po, po/pt_PT.po, po/ro.po,
	po/ru.po, po/sk.po, po/sl.po, po/sq.po, po/sr.po, po/sr_Latn.po,
	po/sv.po, po/ta.po, po/tr.po, po/uk.po, po/vi.po, po/zh_CN.po,
	po/zh_HK.po, po/zh_TW.po: Update translation files Updated by "Update PO files to match POT (msgmerge)" hook in
	Weblate.  Translation: Gramps/Program Translate-URL:
	https://hosted.weblate.org/projects/gramps-project/gramps/

2026-03-20  Nick Hall <nick-h@gramps-project.org>

	* .github/workflows/windows-aio-pyinstaller.yml: Add
	PyInstaller-based Windows AIO workflow

2026-03-15  Nick Hall <nick-h@gramps-project.org>

	* Set to development version

